import {parse} from 'date-fns'
import {DATEFNS_DATETIME_FORMAT_KEBAB} from '@/constants/date'
import type {DatetimeKebab} from '@/types/DatetimeKebab'

export function parseKebabDatetime(date: DatetimeKebab): Date {
	return parse(date, DATEFNS_DATETIME_FORMAT_KEBAB, new Date())
}